Download it now!
Bug 131979 - FILESAVE ODS Link to source format setting not always saved in chart data label
Summary: FILESAVE ODS Link to source format setting not always saved in chart data label
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-04-08 07:02 UTC by NISZ LibreOffice Team
Modified: 2020-04-28 15:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Calc (12.61 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-08 07:02 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem. The third automatic style does not specify link-data-style-to-source (189.02 KB, image/png)
2020-04-08 07:03 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-04-08 07:02:24 UTC
Created attachment 159409 [details]
Example file from Calc

In Calc when a chart is added and data labels are turned on, they by default get the Source Format setting turned on. However if this is turned off for a certain data point, this setting is not saved to the file, leading to the custom format being reset when the Format Number dialog is opened.


Steps to reproduce:
1.	In Calc add some numbers to cells. Create a simple bar chart from them.
2.	Edit the chart, turn on Data Labels for the data series.
3.	Edit one data point, press the Data Labels tab – Number format button
4.	In the Number Format dialog uncheck the Source Format box and select some number format, such as Scientific
5.	Save the file as ODS and reopen

Actual results:
When the file is opened in current master the scientific formatting is lost. In 6.3 it was lost only when the Label for Data Series dialog was opened.

Expected results:
Custom number format retained when Label for Data Series dialog is opened and closed without changing anything.

LibreOffice details:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 95ec2e9b024ff12a3005777c902d7e0975460b1d
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-04-08 07:03:31 UTC
Created attachment 159411 [details]
Screenshot of the problem. The third automatic style does not specify link-data-style-to-source
Comment 2 Commit Notification 2020-04-17 10:16:43 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/434d92a51409b0847ee7d313b50fc547b7615bff

tdf#131979 Chart ODF import-export of Link to source format

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-04-28 15:13:50 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d47b0f5880d87142f2d346c1f1903cfcfc673676

tdf#131979 Chart ODF import-export of Link to source format

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.